Overview
The PayConex™ V4 API allows some of the transaction metadata to be updated. The update process ensures that transaction records can be accurately maintained and reflect necessary changes post-authorization or after Transaction Initialization.
This may occur when a customer wants to update/change the following fields:
| Parameter | Type | Description | Example |
|---|---|---|---|
description | string | The description for a transaction | "one-time purchase #10" |
customer | object | Customer data including, name, email, phone, billingAddress. | See Customer. |
shippingAddress | object | Consists of a set of shipping fields such as "address1", "adress2", etc. | See Shipping Address. |
level3 | object | Level 3 profile data such as: status, transactionSaleTaxRate, etc. | See Level 3. |
level3ProfileName | string | The name of the Level3 Profile for processing a transaction. See Level 2 and Level 3 Transaction Processing. | "MyLevel3ProfileName" |
items | array | Line Item detail for the level 3 data or the level 3 profile name. | See Items. |
cvm | object | Available only for CP transactions. The CVM information such as the method and signature data. | See CVM. |
Also seeWhen
customer.nameis updated,card.nameof the transaction metadata is automatically adjusted to match. This ensures consistency if the name on the customer card is changed or was entered incorrectly.For the comprehensive reference, see API Reference.
Example Request
For example, we update a sale transaction with the request below.
PATCH /api/v4/accounts/{accountId}/payments/{transactionId}
Note
{accountId}value in the path is the PayConex™ account ID number.{transactionId}value in the path is thetransactionIdto update.
{
"description": "updated transaction description",
"level3": {
"summaryCommodityCode": "8013",
"shipFromZip": "12346"
},
"customer": {
"name": "Alice",
"billingAddress": {
"address1": "address1",
"address2": "address2",
"city": "Huntsville",
"state": "AL",
"zip": "35649",
"country": "USA",
"company": "Acme Inc."
}
},
"shippingAddress": {
"address1": "address1",
"address2": "address2",
"city": "Huntsville",
"state": "AL",
"zip": "35649",
"country": "USA",
"company": "Acme Inc.",
"recipient": "Alice Smith"
},
"items": [
{
"commodityCode": "09.02.10",
"description": "High-resolution camera module",
"productCode": "ABC123",
"quantity": "112.4595",
"unitOfMeasure": "units",
"unitCost": "12.50"
},
{
"commodityCode": "07.03.05",
"description": "Bluetooth Headphones",
"productCode": "XYZ456",
"quantity": "75.0000",
"unitOfMeasure": "pieces",
"unitCost": "49.99"
}
]
}*Required Scopes: pcx:payments:*, pcx:payments:update
Once the update is completed, we get the transaction metadata with this structure in response: Getting Transaction Metadata.
TracingFor developers to effectively track updated actions, this request ensures that an
"action": "update"entry is added to thetrace.historyof the transaction metadata.
